| Home | Libraries | People | FAQ | More

##### results::info

Returns additional text information about the execution of the SQL statement.

###### Synopsis

    string_view
    info() const;

###### Description

The format of this information is documented by MySQL here.

The returned string always uses ASCII encoding, regardless of the connection's character set.

For operations returning more than one resultset, returns the first resultset's info.

###### Preconditions

`this->has_value() == true`

###### Exception safety

No-throw guarantee.

###### Object lifetimes

This function returns a view object, with reference semantics. The returned view points into memory owned by `*this`, and will be valid as long as `*this` or an object move-constructed from `*this` are alive.

###### Complexity

Constant.